/* ２〜１６進数指定桁数出力 */

#include <stdio.h>
#include "defines.h"

void FPrintNum(int num,int base,unchar c,int keta,FILE *fp)
{
int i;
unchar dec[2+BINT+1];
	i=make_base(num,dec,base);
	if (keta>0) while (i>BINT+2-keta) dec[--i]=c; /* end:i=keta */
	fputs(&dec[i],fp);
}

#if 0
main()
{
	FPrintNum( 123,10,'*',10,stdout);
	fputc('\n',stdout);
	FPrintNum(-123,-10,'*',10,stdout);
}
#endif
